<div class="uk-flex uk-flex-middle uk-flex-center uk-height-viewport">  
    <mat-card class="uk-width-1-3@m uk-width-1-2@s">
        <div class="uk-flex uk-flex-center uk-margin-medium-bottom">
            <h3>Register</h3>
        </div>
      <mat-card-content>
        <mat-form-field class="uk-width-1-1" appearance="outline">
            <mat-label>Email</mat-label>
            <input matInput placeholder="Ex. email@domain.com" [(ngModel)]="user.email">
          </mat-form-field>

          <mat-form-field class="uk-width-1-1" appearance="outline">
            <mat-label>Password</mat-label>
            <input matInput [type]="hide ? 'password' : 'text'" placeholder="Your password"[(ngModel)]="user.password" required>
            <button mat-icon-button matSuffix (click)="hide=!hide">
            </button>
          </mat-form-field>
          <div class="uk-flex uk-flex-right">
            <div class="uk-width-expand">
              <button mat-button routerLink="/login">I have an account</button>
              <button mat-button routerLink="/forgot">Forgot</button>
            </div>
            <button mat-raised-button color="primary" (click)="register()" [disabled]="loading ">{{ loading ? 'TUNGGU..' : 'REGISTER' }}</button>
          </div>
        </mat-card-content>
      </mat-card>
    </div> 